--[[ $Id$
   Copyright (c) Brett England, 2013

   No commercial use.
   No redistribution at profit.
   All derivative work must retain this message and
   acknowledge the work of the original author.
--]]
local storyboard = require "storyboard"
local bsc = require "bsc"
local widget = require "widget"
local xap = require "xap"
local ui = require "ui"
local scene = storyboard.newScene()

function scene:createScene( event ) 
   
   -- Adorn the BSC compliant switch with label
   function switch(v)
        -- We work in 0,0 coordinate space and everything is relative to this.
		-- Later the entire GROUP will be shifted into its xpos,ypos location.
		v.style = v.style or "onOff"
		local switch = bsc.newSwitch{left=0, top=0, style=v.style, xapSource=v.xapSource}
		local lbl = display.newText(v.text, 15, switch.height, native.systemFont, 16)		
		lbl:setTextColor(0,0,0)		

		local grp = display.newGroup()
		grp:insert(switch)		
		grp:insert(lbl)		
		grp.x = v.left
		grp.y = v.top		
		return grp	
   end

   local group = self.view

   local bg = display.newRect( 0, 0, _W, _H )
   bg:setFillColor( 192 )   
   group:insert(bg)

    -- A row of switches
   	for i=1,4 do
	  group:insert(switch{text="Relay "..i, top=0, left=(i-1)*80, xapSource="dbzoo.livebox.Controller:relay."..i})
	end
    
	-- A row of Checkboxs
	-- bounds = {left,top,width,height}
	group:insert(ui.newLabel{bounds={0,70,200,100},text="Relays 1..4",textColor={0,0,0,255},size=16,align="left"})	
	for i=1,4 do
	   group:insert(bsc.newSwitch{ left=50+i*30, top=60, xapSource="dbzoo.livebox.Controller:relay."..i, style="checkbox"})
	end
		
	-- A column of Radio buttons
	local y = 100
	for i=1,4 do
	   local radio = bsc.newSwitch{ left=0, top=y, xapSource="dbzoo.livebox.Controller:relay."..i, style="radio"}
	   group:insert(radio)
   	   group:insert(ui.newLabel{bounds={radio.width,y+8,200,radio.height},text="Relay "..i,
	                            textColor={255/i,0,0,255},size=16,align="left"})	
	   y = y + 30
	end

end
scene:addEventListener( "createScene", scene )

return scene